@import url('https://fonts.googleapis.com/css2?family=Caveat&family=Mukta:wght@200&family=Roboto&display=swap');


*{
    box-sizing: border-box;
}
body{
    font-family: 'Roboto', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin: 0px;
}

.container{
    text-align: center;
}

.progress-container{
    display: flex;
    justify-content: space-between;
    position: relative;
    margin-bottom: 30px;  
    max-width: 100%;
    width: 350px;
}

.progress-container::before{
    content: '';
    background-color: rgb(207, 207, 207);
    position: absolute;
    top: 50%;
    left: 0px;
    transform: translateY(-50%);
    height: 4px;
    width: 100%;
    z-index: -1;
}


.progress {
    background-color:#3498db;
    position: absolute;
    top: 50%;
    left: 0px;
    transform: translateY(-50%);
    height: 4px;
    width: 0%;
    z-index: -1;
    transition: .4s ease;
}


.circle{
    background-color: white;
    border-radius: 50%;
    padding: 10px;
    padding-left: 15px;
    padding-right: 15px;
    border: 3px solid rgb(207, 207, 207);
    display: flex;
    align-items: center;
    justify-content: center;
    transition:  .4s ease;
}

.active{
    border-color:#3498db;
}

.btn{
    padding: 8px;
    padding-left: 30px;
    padding-right: 30px;
    border: 0px;
    border-radius: 10px;
    cursor: pointer;
    margin: 5px;
    background-color: #3498db;
    color: white;
}

.btn:active{
    transform: scale(0.98);
}

.btn:disabled{
    background-color: grey;
    cursor: not-allowed;
    transform: scale(1);
}




